package AIF;

/*
 * This Java source file was generated by the Gradle 'init' task.
 */

import AIF.AerialVehicles.F16;
import AIF.AerialVehicles.Weapon;
import AIF.Entities.Coordinates;

import java.util.*;


public class App {


    public static void main(String[] args) {

        System.out.println("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~|Main-Driver-Start|~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");

        System.out.println();
        F16 f16 = new F16(new Coordinates(0.0,0.0));
        try{
            f16.takeOff();
            f16.flyTo(new Coordinates(26000.0, 2.1));
            f16.land();
            if(f16.needMaintenance()){
                System.out.println("I could see this coming...");
            }
            f16.performMaintenance();
            if(!f16.needMaintenance()){
                System.out.println("And this too...");
            }
            f16.loadModule(new Weapon());
            f16.activateModule(Weapon.class, new Coordinates(26000.0, 2.0));
        }catch (Exception e){
            System.out.println("Well, there were bugs...");
        }


        System.out.println("~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~|Main-Driver-End|~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~");

    }
}
